# Created by pyp2rpm-3.3.7
%global pypi_name flufl.flake8
%global pypi_version 0.10

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 6
Summary:        A flake8 plugin for GNU Mailman import order
Group:          Development/Python
License:        ASLv2
URL:            https://gitlab.com/warsaw/flufl.flake8
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
A plugin for flake8 which checks for a particular import style.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
A plugin for flake8 which checks for a particular import style.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flufl

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/flufl.flake8-%{version}-*-nspkg.pth



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.10-6.mga10
+ Revision: 2239933
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.10-5.mga10
+ Revision: 2157059
- rebuild for python3.13

* Tue Dec 12 2023 papoteur <papoteur> 0.10-4.mga10
+ Revision: 2017467
- rebuild for python3.12
- adapt to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 0.10-3.mga9
+ Revision: 1823760
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 0.10-2.mga9
+ Revision: 1784594
- rebuild for python-3.10

* Wed Jan 19 2022 kekepower <kekepower> 0.10-1.mga9
+ Revision: 1769085
- imported package python-flufl.flake8

